Problems with my 1.1 (not 1.1.1) iTouch jailbreak

Discussion in 'iPod touch' started by Neo_PR, Apr 18, 2008.

  1. Neo_PR

    Neo_PR New Member

    Joined:
    Apr 16, 2008
    Messages:
    64
    Likes Received:
    2
    Hey guys, just making sure you know what my problem is:

    I have a 1.1 iTouch (NOT 1.1.1, but 1.1)

    I wanted to get jailbreak but it says i need to update to 1.1.1

    So i read around and it says i need to RESTORE, when i do it it says it will restore and update to 1.1.4


    Ive read around it's not good to update that far so tell me guys, what should i do ?
  2. Ezra

    Ezra Well-Known Member

    Joined:
    Feb 23, 2008
    Messages:
    1,122
    Likes Received:
    41
    Device:
    iPhone
    Click "Restore".
  3. spoonforknife

    spoonforknife Retired Moderator

    Joined:
    Nov 15, 2007
    Messages:
    6,896
    Likes Received:
    317
  4. Neo_PR

    Neo_PR New Member

    Joined:
    Apr 16, 2008
    Messages:
    64
    Likes Received:
    2
    If i do a restore it will go to 1.1.4, you sure that's ok ?
  5. spoonforknife

    spoonforknife Retired Moderator

    Joined:
    Nov 15, 2007
    Messages:
    6,896
    Likes Received:
    317

    Please Register or Log in to view images


    Then Download iLiberty+. Click Jailbreak. Done!
    If iLiberty+ doesn't work - ZiPhone @ http://ziphone.org

Share This Page